Package com.castlabs.sdk.base.subtitles.buffer

# Class BaseSubtitleInputBuffer

java.lang.Object
com.castlabs.sdk.base.subtitles.buffer.Buffer
com.castlabs.sdk.base.subtitles.buffer.DecoderInputBuffer
com.castlabs.sdk.base.subtitles.buffer.BaseSubtitleInputBuffer

public class BaseSubtitleInputBuffer extends DecoderInputBuffer
A `DecoderInputBuffer`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.castlabs.sdk.base.subtitles.buffer.DecoderInputBuffer

  `DecoderInputBuffer.BufferReplacementMode`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `subsampleOffsetUs`
  An offset that must be added to the subtitle's event times after it's been decoded, or `SubtitleFormat.OFFSET_SAMPLE_RELATIVE` if `DecoderInputBuffer.timeUs` should be added.

  ### Fields inherited from class com.castlabs.sdk.base.subtitles.buffer.DecoderInputBuffer

  `BUFFER_REPLACEMENT_MODE_DIRECT, BUFFER_REPLACEMENT_MODE_DISABLED, BUFFER_REPLACEMENT_MODE_NORMAL, BUFFER_REPLACEMENT_MODE_SHARED, cryptoInfo, data, shmemRegion, subsamples, supplementalData, timeUs, waitingForKeys`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseSubtitleInputBuffer()`

- ## Method Summary

  ### Methods inherited from class com.castlabs.sdk.base.subtitles.buffer.DecoderInputBuffer

  `clear, ensureSpaceForWrite, flip, isEncrypted, isFlagsOnly, isSharedMemoryBuffer, newFlagsOnlyInstance, newSharedMemoryInstance, releaseSharedMemoryBuffer, resetSupplementalData, unmapByteBuffer`

  ### Methods inherited from class com.castlabs.sdk.base.subtitles.buffer.Buffer

  `addFlag, clearFlag, getFlag, hasSupplementalData, isDecodeOnly, isEndOfStream, isKeyFrame, setFlags`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### subsampleOffsetUs

    public long subsampleOffsetUs
    An offset that must be added to the subtitle's event times after it's been decoded, or `SubtitleFormat.OFFSET_SAMPLE_RELATIVE` if `DecoderInputBuffer.timeUs` should be added.

- ## Constructor Details

  - ### BaseSubtitleInputBuffer

    public BaseSubtitleInputBuffer()